> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current billing period usage

> Current usage data

### Response

`object`

<ResponseField name="period_start" type="string (date-time)" required />

<ResponseField name="period_end" type="string (date-time)" required />

<ResponseField name="cpu_hours" type="number" required />

<ResponseField name="memory_gb_hours" type="number" required />

<ResponseField name="network_gb" type="number" required />

<ResponseField name="sandbox_creations" type="integer" required />

<ResponseField name="estimated_cost_cents" type="number" required />

<ResponseField name="breakdown" type="object" required>
  <Expandable title="breakdown">
    <ResponseField name="cpu_cost_cents" type="number" required />

    <ResponseField name="memory_cost_cents" type="number" required />

    <ResponseField name="network_cost_cents" type="number" required />

    <ResponseField name="creations_cost_cents" type="number" required />
  </Expandable>
</ResponseField>

### Status codes

| Code  | Meaning            |
| ----- | ------------------ |
| `200` | Current usage data |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sandbox.stateset.app/api/v1/usage/current' \
    --header "Authorization: Bearer $STATESET_SANDBOX_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "period_start": "2026-08-31T14:22:05Z",
    "period_end": "2026-08-31T14:22:05Z",
    "cpu_hours": 1.5,
    "memory_gb_hours": 1.5,
    "network_gb": 1.5,
    "sandbox_creations": 1,
    "estimated_cost_cents": 4900,
    "breakdown": {
      "cpu_cost_cents": 4900,
      "memory_cost_cents": 4900,
      "network_cost_cents": 4900,
      "creations_cost_cents": 4900
    }
  }
  ```
</ResponseExample>
